/***************************************************************************************
 * Filename: TAON_Plugin.h                                                             *
 *************************************************************************************** 
 * This File is part of the TAON Software and is treated as described in the textfile  *
 * LICENSE, READ IT FOR Coypright INFORMATION and beyond !!!                           *
 ***************************************************************************************
 *  Author: DarKRaveR (aka Sven Eschenberg) <eschenb@informatik.uni-frankfurt.de       *
 ***************************************************************************************/

/***************************************************************************************
 * Definition of the complete structures needed for the Plugin API, for detailed       *
 * information the the actual Plugin API Documentation enclosed in the package...      *
 ***************************************************************************************/

#ifndef __TAON_PlugInf
#define __TAON_PlugInf 1
#endif


/* Definition of Plugin Information Structure, passed by our Plugin
   when it's query function is called */

#define TAON_Plug_Process 1
#define TAON_Plug_Generator 2
#define TAON_Plug_InFilter 3
#define TAON_Plug_OutFilter 4
#define TAON_Plug_InOutFilter 5

struct TAON_PlugInf{
        char Name [50];
        char Author [80];
        char Copyright [80];
        char Desc [80];
        char Path [80];
        int  Major_Version;
        int  Minor_Version;
        int  functionality;
        int  Host_Version;
        char Extend [20];
};

struct TAON_PlugResult{
        int  error;
        char Desc[50];
};

struct TAON_PlugRunParam{
        int  Rate;
        int  Length;
        int  Chan;
        int  Bits;
        char    *PlayRoutine;
        unsigned char    *Left;
        unsigned char    *Right;
};

struct TAON_PlugFilterParam{
        int  BufFormat;
        int  BufLength;
        char *PlayRoutine;
        unsigned char *Left;
        unsigned char *Right;
        char *filename;
};
       
